Show / Hide Table of Contents

# Interface ICallGateProvider<T1, T2, T3, T4, T5, T6, T7, T8, TRet>

###### Namespace: Dalamud.Plugin

###### Assembly: Dalamud.dll

##### Syntax

    public interface ICallGateProvider<T1, T2, T3, T4, T5, T6, T7, T8, TRet>

##### Type Parameters

Name | Description
--- | ---
T1 |
T2 |
T3 |
T4 |
T5 |
T6 |
T7 |
T8 |
TRet |

### Methods

| Improve this Doc View Source

#### RegisterAction(Action<T1, T2, T3, T4, T5, T6, T7, T8>)

##### Declaration

    void RegisterAction(Action<T1, T2, T3, T4, T5, T6, T7, T8> action)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<T1, T2, T3, T4, T5, T6, T7, T8> | action |

| Improve this Doc View Source

#### RegisterFunc(Func<T1, T2, T3, T4, T5, T6, T7, T8, TRet>)

##### Declaration

    void RegisterFunc(Func<T1, T2, T3, T4, T5, T6, T7, T8, TRet> func)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Func<T1, T2, T3, T4, T5, T6, T7, T8, TRet> | func |

| Improve this Doc View Source

#### SendMessage(T1, T2, T3, T4, T5, T6, T7, T8)

##### Declaration

    void SendMessage(T1 arg1, T2 arg2, T3 arg3, T4 arg4, T5 arg5, T6 arg6, T7 arg7, T8 arg8)

##### Parameters

Type | Name | Description
--- | --- | ---
T1 | arg1 |
T2 | arg2 |
T3 | arg3 |
T4 | arg4 |
T5 | arg5 |
T6 | arg6 |
T7 | arg7 |
T8 | arg8 |

| Improve this Doc View Source

#### UnregisterAction()

##### Declaration

    void UnregisterAction()

| Improve this Doc View Source

#### UnregisterFunc()

##### Declaration

    void UnregisterFunc()